import 'package:get/get.dart';

enum RoutingMode { smart, global }

class RoutingmodeController extends GetxController {
  // 当前选中的路由模式，默认为Smart
  final selectedMode = RoutingMode.smart.obs;

  @override
  void onInit() {
    super.onInit();
  }

  @override
  void onReady() {
    super.onReady();
  }

  @override
  void onClose() {
    super.onClose();
  }

  /// 选择路由模式
  void selectMode(RoutingMode mode) {
    selectedMode.value = mode;
  }
}
